$computer = "LocalHost" 
$namespace = "root\CIMV2" 
$wmiItems = Get-WmiObject -class Win32_PerfFormattedData_CitrixICA_ICASession -computername $computer -namespace $namespace 
foreach ($objItem in $wmiItems) {
	if ($objItem.Name) {
		#write-host $objItem.Name

       		if ($objItem.Name.StartsWith("ICA")) {

		$ssession = $objItem.Name.Replace('TCP ','TCP')
		$ssession = $ssession.Replace('Tcp ','Tcp')
		$ssession = $ssession.Split(" ")
		$sessionName = $ssession[0]+$ssession[1]
		$userName = $ssession[2]
		$userName = $userName.Replace('(','')
		$userName = $userName.Replace(')','')
		$metric = 'Sessions|'+$sessionName+':User='+$userName
		write-output $metric
		$metric = 'Sessions|'+$sessionName+':Latency LastRecorded(ms)='+$objItem.LatencyLastRecorded
		write-output $metric
		$metric = 'Sessions|'+$sessionName+':Latency Session Average(ms)='+$objItem.LatencySessionAverage
		write-output $metric
		$metric = 'Sessions|'+$sessionName+':Latency Session Deviation(ms)='+$objItem.LatencySessionDeviation
		write-output $metric
		$metric = 'Users|'+$userName+':Session='+$sessionName
		write-output $metric
		$metric = 'Users|'+$userName+':Latency LastRecorded(ms)='+$objItem.LatencyLastRecorded
		write-output $metric
		$metric = 'Users|'+$userName+':Latency Session Average(ms)='+$objItem.LatencySessionAverage
		write-output $metric
		$metric = 'Users|'+$userName+':Latency Session Deviation(ms)='+$objItem.LatencySessionDeviation
		write-output $metric



	}
	
  }
}