# take input object and write metric for psepa
#   example:  get-process | write-epa -mname "processname" -mvalue "handles" -longname "Windows`|Processes`|" 
#   Use any piped object as input, specify the metric name with -mname, specify the value with -mvalue,  specify a prefix name with -longname
function write-epa {
param( [string]$mname = "name", [string]$mvalue = "value",[string]$longName="Default`|") 
begin { $x2 = 0; }
process {
	foreach ($thing in $input) {	 
		 $mn = $thing."$mname"
		 $mv = $thing."$mvalue"
		 $isNumber = [System.Int32]::TryParse($mv, [ref] ($x2))
		if ($isNumber) { [Int]$mvv = $mv } else { [string]$mvv = $mv }
		$smetric =  $longName + $mn + ":" +$mvalue.toString() + "=" + $mvv
		write-host $smetric 
		

	}
 }
 }
